<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css">
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <!-- 
      - no v-bind (aqui com shorthand), o par chave e valor (com chaves), sendo chave o nome da classe a aplicar e valor como um booleano, o nome da classe (nesse 1o caso, 'c1') só será aplicado se o valor (nesse 1o caso, 'aplicarC1') for true.
      - caso o nome da classe a ser estilizado não for válido p/ identificadores no JS (como nome de classe com '-', como 'cor-1'), aplicar aspas simples no lugar da chave (no exemplo abaixo: "{'cor-1': aplicarC1}")
    -->
    <div class="demo" :class="{c1: aplicarC1}" @click="aplicarC1 = !aplicarC1"></div>
    <div class="demo" :class="{c2: aplicarC2}" @click="aplicarC2 = !aplicarC2"></div>
    <div class="demo" :class="{c3: aplicarC3}" @click="aplicarC3 = !aplicarC3"></div>
  </div>
  <script src="app.js"></script>
</body>

</html>